Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
Create job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/octet-stream' \
  --header 'Memsource: <memsource>' \
  --data '{}'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs"

payload = {}
headers = {
"Memsource": "<memsource>",
"Authorization": "<api-key>",
"Content-Type": "application/octet-stream"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Memsource: '<memsource>',
Authorization: '<api-key>',
'Content-Type': 'application/octet-stream'
},
body: JSON.stringify({})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asyncRequest": {
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>"
  },
  "jobs": [
    {
      "continuous": true,
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "imported": true,
      "jobAssignedEmailTemplate": {},
      "notificationIntervalInMinutes": 123,
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceFileUid": "<string>",
      "targetLang": "<string>",
      "uid": "<string>",
      "updateSourceDate": "2023-11-07T05:31:56Z",
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ],
  "unsupportedFiles": [
    "<string>"
  ],
  "warnings": [
    {
      "domain": "STYLEGUIDE",
      "jobPartIds": [
        "<string>"
      ],
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Memsource
string<application/json>
required

Job metadata JSON (see endpoint description for accepted fields)

Content-Disposition
string

Required when remoteFile is empty. Must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)

Path Parameters

projectUid
string
required

Project UID

Body

application/octet-stream

Source file binary; required when remoteFile is not supplied in the metadata

The body is of type object.

Response

Created

asyncRequest
object
jobs
object[]

Job parts created by the operation

unsupportedFiles
string[]

Filenames that could not be imported because their format is unsupported

warnings
object[]

Warnings raised during import, grouped by domain